### Name: gUpdateDataMessage-class
### Title: Class "gUpdateDataMessage": A class to represent an update data
###   message
### Aliases: gUpdateDataMessage-class gUpdateDataMessage handleMessage to
###   handleMessage,gUpdateDataMessage-method
###   initialize,gUpdateDataMessage-method to,gUpdateDataMessage-method
### Keywords: classes

### ** Examples

  if (interactive())
  {
    createControlWindow()

    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")

    # plotting the data should occur through Plot Data under the 
    # Display menu
    vMessage<-new("gAddViewMessage", dataName="USArrests", type="plotView",
                  plotType="sPlotView",  dfRows = 1:nrow(USArrests), 
                  dfColumns = 1:2)    
    handleMessage(vMessage)

    # now set the view mode to Highlight using the ViewMode menu
    # then click on a point in the plot and a gUpdateDataMessage will be 
    # created and handled
    # you can see this by looking at the data after you click on a point
    x<-getData(type="dataframe", name="USArrests")
  }



