### Name: gUpdateMessage-class
### Title: Class "gUpdateMessage": A class to represent an update message
### Aliases: gUpdateMessage-class gUpdateMessage type
###   mData,gUpdateMessage-method type,gUpdateMessage-method
### Keywords: classes

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")

    # plotting the data should occur through Plot Data under the 
    # Display menu
    vMessage<-new("gAddViewMessage", dataName="USArrests", type="plotView",
                  plotType="sPlotView",  dfRows = 1:nrow(USArrests), 
                  dfColumns = 1:2)    
    handleMessage(vMessage)

    # now set the view mode to Highlight using the ViewMode menu
    # then click on a point in the plot and a gUpdateMessage will be 
    # created and handled (both to update the data and the view)
    # you can see this by looking at the data after you click on a point
    x<-getData(type="dataframe", name="USArrests")
  }



