### Name: gUpdateViewMessage-class
### Title: Class "gUpdateViewMessage": A class to represent an update view
###   message
### Aliases: gUpdateViewMessage-class gUpdateViewMessage
###   handleMessage,gUpdateViewMessage-method
###   initialize,gUpdateViewMessage-method
### Keywords: classes

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests,"USArrests")

    # plotting the data should occur through Plot Data under the 
    # Display menu
    vMessage<-new("gAddViewMessage", dataName="USArrests", type="plotView",
                  plotType="sPlotView",  dfRows = 1:nrow(USArrests), 
                  dfColumns = 1:2)    
    handleMessage(vMessage)

    # now set the view mode to Highlight using the ViewMode menu
    # then click on a point in the plot and a gUpdateViewMessage will be 
    # created and handled
    # you can see this by looking at the updated view
  }



