### Name: sPlotView-class
### Title: Class "sPlotView": A class to represent a scatterplot view
### Aliases: sPlotView-class sPlotView clickEvent motionEvent
###   viewUpdateData colx coly dfRows clickEvent,sPlotView-method
###   colx,sPlotView-method coly,sPlotView-method dfRows,sPlotView-method
###   motionEvent,sPlotView-method viewUpdateData,sPlotView-method
### Keywords: classes

### ** Examples

  if (interactive())
  {
    createControlWindow()
    # should load data through Open Data or Open File under the File menu
    data(USArrests)
    loadDFData(USArrests, "USArrests")

    # plotting the data should occur through Plot Data under 
    # the Display menu
    vMessage<-new("gAddViewMessage", dataName="USArrests", type="plotView",
                  plotType="sPlotView",  dfRows = 1:nrow(USArrests), 
                  dfColumns = 1:2)    
    handleMessage(vMessage)
 
    # this will create an object of class, sPlotView
    is(getViewEnvVar("viewList")[[1]], "sPlotView")  
  }



